Home » Kerio User Forums » Kerio Connect » Kerio Connect 9.2.5 Patch 3 as "new" version?
  •  
cwt

Messages: 11
Karma: 2
Send a private message to this user
In the download section of Kerio Connect V9.2.5 Patch 3 is available.

Latest version: 9.2.5 Patch 3
Released on: Mar 27 2018

Errrm, March 2018? Is this a joke or a mistake? Or became a former "don't use in production environments!"-version mysteriously stable? The forum is/was full of customers complaining about this version bricked their installation? And now it is stable?

Or is this a simple way of "updating"? Looks like: "Oh, we didn't release anything new or stable within the last months and customers are complaining about maintenance fees!" "No problem. Just mail our webdesigners, someone shall change the release date on the page!"

Don't know what I should think of this...
  •  
areichmann

Messages: 108
Karma: 7
Send a private message to this user
thats because they removed 9.2.6 yesterday ... now 9.2.5 P2 is offered via connect update. 9.2.5 p2 is a old version from last year with serious problems (av)

http://forums.kerio.com/mv/msg/32970/0/0/17892/0583f0d9cbc14 0e7e5a5e91edd302737/

  •  
Backspin

Messages: 56
Karma: 27
Send a private message to this user
Really, GFI?
FFS. You really killed all the trust I had in Kerio Connect. Until a year ago, I would recommend Kerio Connect to anyone as the most capable, reliable and affordable mail server there was. I never had a single update fail on me in the last 10 years or so (on more than 20 Kerio Connect servers).
Now we're stuck without real updates for over half a year. The first updates (7.2.5, p1, p2) were seemingly untested and had critical bugs.
I accepted that (not very happily) because as far as I understood, the whole development team was fired and GFI had to build a new team.
But now, after a few months, again putting a new version (9.2.6) online with critical bugs and then pulling it is very, very unprofessional. It's a big mess. My customers are paying a lot of money for maintenance and they get rubbish. It's almost like GFI is doing this on purpose.
And then, there's absolutely *NO* communication by GFI on what's happening. I'm so disappointed.

  •  
JohnD

Messages: 30
Karma: 4
Send a private message to this user
I agree, I just can't believe how Kerio went from a solid company that I've used for around 15 years and recommended to people to this mess.......multiple attempts to get an update out and correct, pulling updates as they clearly weren't tested. I made the mistake of loading 9.2.6, 1) didn't fix the Chrome reminder issues.....still crashes Kerio and 2) it has broken Outlook 2016 support. Guess tonight, I'll roll back to 9.2.5p3. Sad to be forced to leave Kerio after these years, but will have a replacement by time support contract is over.
  •  
wag357

Messages: 50
Karma: 8
Send a private message to this user
I'm seeing 9.2.6 available for download. Is it really 9.2.5 p3? I'm really hesitant to install it even if it is 9.2.6 as I don't trust GFI but I need some of the fixes promised. Uggh
Previous Topic: Old Sophos AV plugin is better than new Bitdefender?
Next Topic: Kerio Connect 9.2.6 and Firefox Problem
Goto Forum:
  


Disclaimer:
Kerio discussion forums are intended for open communication between forum members and may contain information and material posted by members which may be useful in learning about Kerio products. The discussion forums are not intended to provide technical support for any specific product. Any information implied or expressed in the discussion forums is that of the posting member. Kerio is in no way responsible for the information posted in the forums, or its accuracy. Kerio employees may participate in the discussions, but their postings do not represent an offical position of the company on any issues raised or discussed. Kerio reserves the right to monitor and maintain the forums to promote free and accurate exchange of information.

Current Time: Thu Dec 13 04:30:55 CET 2018

Total time taken to generate the page: 0.80147 seconds
.:: Contact :: Home ::.
Powered by: FUDforum 3.0.4.